# Mobiloanscore (Sync)

## Get Mobiloanscore (Sync)

<mark style="color:green;">`POST`</mark> `{{BASE_URL}}/api/v1/sync/mobiloanscore`

This endpoint allows you to get free cakes.

#### Headers

| Name           | Type   | Description          |
| -------------- | ------ | -------------------- |
| Authentication | string | Authentication token |

#### Request Body

| Name         | Type   | Description       |
| ------------ | ------ | ----------------- |
| first\_name  | string | Users first name  |
| last\_name   | string | Users last name   |
| national\_id | string | Users national is |

{% tabs %}
{% tab title="200 Mobiloanscore successfully retrieved." %}

```javascript
{
    "status": 200,
    "message": "Mobiloan score data successfully fetched",
    "data": {
        "summary": {
            "pa_open_mobi_loan_accounts": 0,
            "npa_closed_accounts": 0,
            "npa_open_accounts": 1,
            "pa_closed_accounts": 0,
            "pa_accounts_with_dh": 0,
            "last_mobi_loan_listing_date_my_sector": "",
            "pa_accounts": 0,
            "pa_closed_mobi_loan_accounts": 0,
            "mobi_loan_accounts": 1,
            "enquiries31_to60_days": 0,
            "bounced_cheques": 0,
            "min_mobi_loan_principal_amount": 4000.0,
            "avg_mobi_loan_principal_amount": 4000.0,
            "last_mobi_loan_listing_date_other_sectors": null,
            "legal_suits": 0,
            "npa_closed_mobi_loan_accounts": 0,
            "mobi_loans_score": "-1",
            "pa_open_mobi_loan_accounts_with_dh": 0,
            "fraudulent_cases": 0,
            "pa_open_accounts_with_dh": 0,
            "pa_closed_mobi_loan_accounts_with_dh": 0,
            "npa_open_mobi_loan_accounts": 1,
            "last_mobi_loan_principal_amount": 4000.0,
            "credit_history": 50,
            "enquiries_last30_days": 0,
            "max_mobi_loan_principal_amount": 4000.0,
            "credit_applications": 0,
            "pa_open_accounts": 0,
            "enquiries61_to90_days": 0,
            "npa_accounts": 1,
            "enquiries91_days": 0,
            "pa_closed_accounts_with_dh": 0
        },
        "phone_numbers": [
            {
                "phone_number": "254729760175",
                "phone_type": "MOBILE"
            }
        ],
        "product": "PRODUCT131",
        "personal_profile": {
            "national_id": "99001122",
            "occupation": null,
            "gender": "",
            "date_of_birth": "12/31/1969 00:00:00 AM",
            "citizenship": null,
            "photo": null,
            "other_names": "John",
            "serial_number": null,
            "middle_name": null,
            "message": null,
            "place_of_live": null,
            "place_of_birth": null,
            "full_name": "Doe John",
            "reg_office": null,
            "date_of_issue": null,
            "surname": "Doe",
            "clan": null,
            "ethnic_group": null,
            "family": null,
            "first_name": null,
            "status": null
        },
        "score_output": {
            "reason_code_aarc1": "-",
            "reason_code_aarc2": "-",
            "reason_code_aarc3": "-",
            "reason_code_aarc4": "-",
            "probability": "",
            "grade": "YY",
            "positive_score": null,
            "mobi_loans_score": "-1"
        }
    }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="JSON Payload" %}

```javascript
{
    "first_name": "John",
    "last_name": "Doe",
    "national_id": "99999999"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.patascore.com/verification-and-credit-data-operations/mobiloanscore-sync.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
